Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Python
import requests url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/knowledge-bases/{kb_id}/files" files = { "file": ("example-file", open("example-file", "rb")) } headers = {"Authorization": "Bearer <token>"} response = requests.post(url, files=files, headers=headers) print(response.text)
const form = new FormData(); form.append('file', '<string>'); const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}}; options.body = form; fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/knowledge-bases/{kb_id}/files', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request POST \ --url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/knowledge-bases/{kb_id}/files \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file='@example-file'
{ "id": "<string>", "kb_id": "<string>", "name": "<string>", "created_at": "<string>", "updated_at": "<string>", "size_bytes": 0, "status": "queued", "chunk_count": 0, "error": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Project API key (sk-kupe-...) or a Supabase user JWT.
sk-kupe-...
Successful Response